FW: [Nvda-devel] Add-on compatibility in NVDA 2019.1 and beyond.


 

Hi NVDA community,

Please read the following announcement from Reef Turner, one of the lead developers of NVDA. Although his announcement won’t have any impact on many of you now, the change he has outlined will show up for NVDA 2019.1.

Cheers,

Joseph

 

From: Reef Turner <reef@...>
Sent: Thursday, December 6, 2018 3:31 AM
To: NVDA screen reader development <nvda-devel@...>
Subject: [Nvda-devel] Add-on compatibility in NVDA 2019.1 and beyond.

 

In order to address some looming issues that will affect the stability of add-ons in future releases (speech refactor, Python 3), a new add-on compatibility mechanism has been introduced. The short version is that add-ons will need to be updated more regularly. For a seamless user experience add-ons should be tested against each new NVDA release, excluding minor releases, and updated. The first Beta would be a good choice to confirm the add-on will work as expected with the release. Users will be strongly discouraged from installing, or leaving enabled, add-ons that have not followed this process.

 

For all the gritty details, see the pull request #8006

--

Regards,

Reef Turner

Join nvda@nvda.groups.io to automatically receive all group messages.